﻿/*************************************\
 *          Daten-Templates          *
 *                                   *
 * Kapitel: Datenbindung für WPF     *
 * Zuordnung: C#-Buch V2.0 13.4      *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System.Windows;
using System.Windows.Media;

namespace CSV20.Ressourcen_Daten_Templates
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ComboBoxItem[] aListe = new ComboBoxItem[] {
            new ComboBoxItem() {    Color = Brushes.Red,    Name = "Rot"        },
            new ComboBoxItem() {    Color = Brushes.Lime,   Name = "Grün"       },
            new ComboBoxItem() {    Color = Brushes.Blue,   Name = "Blau"       },
            new ComboBoxItem() {    Color = Brushes.White,  Name = "Weiß"       },
            new ComboBoxItem() {    Color = Brushes.Orange, Name = "Orange"     },
            new ComboBoxItem() {    Color = Brushes.Yellow, Name = "Gelb"       },
            new ComboBoxItem() {    Color = Brushes.Black,  Name = "Schwarz"    },
        };

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            // Objekt-Array der ComboBox-Item-Liste zuweisen
            comboBoxListe.ItemsSource = aListe;
            // erstes Element vorselektieren
            comboBoxListe.SelectedIndex = 0;
        }
    }
}